local soundeffectsutil = require "soundeffectsutil"

function data()
return {
	tracks = {
		{ name = "vehicle/e320/e320_stand.wav", refDist = 25.0 },
		{ name = "vehicle/e320/e320_fahrt1.wav", refDist = 25.0 },
		{ name = "vehicle/e320/e320_luft.wav", refDist = 25.0 },
		{ name = "environment/_no-license_train-wheels-ringing-curve.wav", refDist = 25.0 },
		{ name = "vehicle/train_electric_modern/_brakes.wav", refDist = 25.0 },
	},
	events = {
		horn = { names = { "vehicle/e320/e320_horn.wav" }, refDist = 16.0 },
	},
	updateFn = function (input)
		return {
			tracks = {
				{ gain = soundeffectsutil.sampleCurve({
							{0.0, 0.8 },
							{0.01, 0.0 },
							{1.0, 0.0 },
						 }, input.speed01),
				  pitch = soundeffectsutil.sampleCurve({
							{0.0, 1.0 },
							{0.2, 0.0 },
							{1.0, 0.0 },
						  }, input.speed01)
				},
				{
				  gain = soundeffectsutil.sampleCurve({
							{0.0, 0 },
							{0.05, 0.8 },
							{0.21, 0.7 },
							{0.3, 0.5 },
							{0.5, 0.2 },
							{1.0, 0.1 },
						 }, input.speed01),
				  pitch = soundeffectsutil.sampleCurve({
							{0.0, 0 },
							{0.15, 1.0 },
							{1.0, 1.2 },
						  }, input.speed01)
				},
				{
				  gain = soundeffectsutil.sampleCurve({
							{0.0, 0 },
							{0.2, 0 },
							{0.25, 1.5 },
							{1.0, 1.5 },
						 }, input.speed01),
				  pitch = soundeffectsutil.sampleCurve({
							{0.0, 0 },
							{0.15, 1.0 },
							{1.0, 1.2 },
						  }, input.speed01)
				},
			    soundeffectsutil.squeal(input.speed, input.sideForce, input.maxSideForce),
				soundeffectsutil.brake(input.speed, input.brakeDecel, 0.5),
			},
			events = {
				horn = { gain = 1.0, pitch = 1.0 }
			}
		}
	end
	}
end
